# Changelog

Все заметные изменения в этом проекте фиксируются в этом файле.
Формат основан на [Keep a Changelog](https://keepachangelog.com/) и придерживается принципов [Semantic Versioning](https://semver.org/).

## [Unreleased]

### Added
- Кнопки сброса настроек и очистки кэша
- Бейдж PortProton
- Зависимость от `xdg-utils`
- Интеграция статуса WeAntiCheatYet в карточку
- Стили в AddGameDialog
- Переключение полноэкранного режима через F11 или кнопку Select на геймпаде
- Выбор QCheckBox через Enter или кнопку A на геймпаде
- Закрытие диалога добавления игры через ESC или кнопку B на геймпаде
- Закрытие окна приложения по комбинации клавиш Ctrl+Q
- Сохранение и восстановление размера окна при перезапуске
- Переключатель полноэкранного режима приложения
- Пункт в контекстном меню «Открыть папку игры»
- Пункты в контекстном меню «Добавить в Steam» и «Удалить из Steam»
- Пункты в контекстном меню «Добавить в Избранное» и «Удалить из Избранного» для переключения статуса избранного через геймпад
- Метод сортировки «Сначала избранное»
- Настройка автоматического перехода в полноэкранный режим при подключении геймпада (по умолчанию отключена)
- Обработчики для QMenu и QComboBox при управлении геймпадом
- Аргумент `--fullscreen` для запуска приложения в полноэкранном режиме
- Оверлей на кнопку Xbox/PS для закрытия приложения, выключения, перезагрузки и перехода в спящий режим

### Changed
- Обновлены все иконки
- Переименована функция `_get_steam_home` в `get_steam_home`
- Переименован `steam_game` в `game_source`
- Логика контекстного меню вынесена в `ContextMenuManager`
- Бейдж Steam теперь открывает Steam Community
- Изменена лицензия с MIT на GPL-3.0 для совместимости с кодом от legendary
- Оптимизирована генерация карточек для предотвращения задержек при поиске и изменении размера окна
- Бейджи с карточек теперь отображаются также на странице с деталями, а не только в библиотеке
- Установлена ширина бейджа в две трети ширины карточки
- Бейджи источников (`Steam`, `EGS`, `PortProton`) теперь отображаются только при активном фильтре `all` или `favorites`
- Карточки теперь фокусируются в направлении движения стрелок или D-pad: например, при нажатии D-pad вниз фокус переходит на карточку в следующей колонке, а не по порядку
- Теперь D-pad можно зажимать для переключения карточек
- D-pad больше не переключает вкладки, только RB и LB
- Кнопка добавления игры больше не фокусируется
- Диалог добавления игры теперь открывается только в библиотеке
- Удалены все упоминания PortProtonQT из кода и заменены на PortProtonQt

### Fixed
- Обработка несуществующей темы с возвратом к «standard»
- Открытие контекстного меню
- Запуск при отсутствии exiftool
- Переводы пунктов настроек
- Бесконечное обращение к `get_portproton_location`
- Ссылки на документацию в README
- Traceback при загрузке placeholder при отсутствии обложек
- Утечки памяти при загрузке обложек
- Ошибки при подключении геймпада из-за работы в разных потоках
- Многократное открытие диалога добавления игры при использовании геймпада
- Перехват событий геймпада во время работы игры

---

## [0.1.1] – 2025-05-17

### Added
- Алфавитная сортировка библиотеки
- Проверка переводов через yaspeller
- Сборка Fedora-пакета
- Сборка AppImage

### Changed
- Удалён жёстко заданный размер окна
- Использован `icoextract` как Python-модуль

### Fixed
- Скрытие статус-бара
- Чтение списка Steam-игр
- Зависание GUI
- Сбой при повреждённом Steam

---

> См. подробности по каждому коммиту в истории репозитория.
